Skip to main content
POST
/
api
/
v1
/
reconciliations
/
{id}
/
cancel
Mutabakatı iptal et
curl --request POST \
  --url https://vpos-sandbox.payven.com.tr/api/v1/reconciliations/{id}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope": "<string>",
  "connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connector_config_name": "<string>",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_name": "<string>",
  "bank_code": "<string>",
  "period": "<string>",
  "period_start": "2023-11-07T05:31:56Z",
  "period_end": "2023-11-07T05:31:56Z",
  "reconciliation_date": "2023-12-25",
  "total_db_transactions": 123,
  "total_bank_transactions": 123,
  "matched_count": 123,
  "amount_mismatch_count": 123,
  "status_mismatch_count": 123,
  "orphan_db_count": 123,
  "orphan_bank_count": 123,
  "resolved_count": 123,
  "ignored_count": 123,
  "total_db_amount": 123,
  "total_bank_amount": 123,
  "overall_status": "<string>",
  "finalized_at": "2023-11-07T05:31:56Z",
  "finalized_by": "<string>",
  "notes": "<string>",
  "created": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Path Parameters

id
string<uuid>
required

Body

application/json
reason
string | null

Response

OK

id
string<uuid>
scope
string | null
connector_config_id
string<uuid> | null
connector_config_name
string | null
merchant_id
string<uuid> | null
merchant_name
string | null
bank_code
string | null
period
string | null
period_start
string<date-time>
period_end
string<date-time>
reconciliation_date
string<date>
total_db_transactions
integer<int32>
total_bank_transactions
integer<int32>
matched_count
integer<int32>
amount_mismatch_count
integer<int32>
status_mismatch_count
integer<int32>
orphan_db_count
integer<int32>
orphan_bank_count
integer<int32>
resolved_count
integer<int32>
ignored_count
integer<int32>
total_db_amount
integer<int64>
total_bank_amount
integer<int64>
overall_status
string | null
finalized_at
string<date-time> | null
finalized_by
string | null
notes
string | null
created
string<date-time>